package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.CollectionWarehousingRecord;
import com.baomidou.mybatisplus.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 代收入库记录 服务类
 * </p>
 *
 * @author Gdc
 * @since 2022-01-12
 */
public interface ICollectionWarehousingRecordService extends IService<CollectionWarehousingRecord> {



    Page<CollectionWarehousingRecord> selectCollectionWarehousingRecordPage(CollectionWarehousingRecord collectionWarehousingRecord);
    String insertCollectionWarehousingRecord(CollectionWarehousingRecord collectionWarehousingRecord);
    void deleteCollectionWarehousingRecord(String id);
    String editCollectionWarehousingRecord(CollectionWarehousingRecord collectionWarehousingRecord);
    CollectionWarehousingRecord getCollectionWarehousingRecord(String id);
    void export(CollectionWarehousingRecord collectionWarehousingRecord, HttpServletResponse response) throws Exception;
    /**
     * 批量开发票
     * @param collectionWarehousingRecord
     */
    String openInvoiceList(CollectionWarehousingRecord collectionWarehousingRecord);
    /**
     * 付款
     * @param collectionWarehousingRecord
     */
    String payMoney(CollectionWarehousingRecord collectionWarehousingRecord);
    /**
     * 收款
     * @param collectionWarehousingRecord
     */
    String collectMoney(CollectionWarehousingRecord collectionWarehousingRecord);
}
